SDL_GetJoystickID(3)

NAME
SDL_GetJoystickID - Get the instance ID of an opened joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_JoystickID SDL_GetJoystickID(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    an SDL_Joystick structure containing joystick information.

RETURN VALUE
Returns the instance ID of the specified joystick on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.